Group Profile From ID

The Group Profiles From ID service allows you to pass in a given ID and have that group returned to you. The image link in the image element will expire, and should be cached. * Main_leader and leader elements are always populated

Service Name

group_profile_from_id

Required Parameters

NameType
idinteger

Optional Parameters

NameType
include_participantsboolean (default true)
include_image_linkboolean (default false)

Example Curl

curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=group_profile_from_id&id=23&include_participants=false"

Example Response XML

<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
  <request>
    <parameters>
      <argument value="group_profile_from_id" name="srv"/>
      <argument value="23" name="id"/>
    </parameters>
  </request>
  <response>
    <service>group_profile_from_id</service>
    <service_action>execute</service_action>
    <availability>public</availability>
    <groups count="1">
      <group id="23">
        <name>**Ninja Turtle Club**</name>
        <description>Fight by night</description>
        <image>https://s3.amazonaws.com/ccbchurch/40622/pics/g_23?AWSAccessKeyId=AKIAJ4CISARDRJPE4ERQ&Expires=1390930062&  Signature=pzP73TsoROOhQhZyEu2Deg3Tsy4%3D</image>
        <campus id="1">Church of Cucumbers</campus>
        <main_leader id="49">
          <first_name>Group</first_name>
          <last_name>Leader</last_name>
          <full_name>Group Leader</full_name>
          <email>[email protected]</email>
          <phones>
            <phone type="mobile"></phone>
          </phones>
        </main_leader>
        <leaders>
          <leader id="34">
            <first_name>Assistant</first_name>
            <last_name>Group Leader</last_name>
            <full_name>Assistant Group Leader</full_name>
            <email>[email protected]</email>
            <phones>
              <phone type="mobile"></phone>
            </phones>
          </leader>
        </leaders>
        <participants/>
        <group_type id="1">Care / Small Group</group_type>
        <department id="0"></department>
        <area id="0"></area>
        <calendar_feed>webcal://yourchurch.ccbchurch.com/group_calendar.ics?id=23&tk=9AABQK9DBD4ZUK426MSM6QZSKDJKS2U9</calendar_feed>
        <registration_forms/>
        <current_members>9</current_members>
        <group_capacity>Unlimited</group_capacity>
        <addresses/>
        <meeting_day id="0"></meeting_day>
        <meeting_time id="0"></meeting_time>
        <childcare_provided>false</childcare_provided>
        <interaction_type>Members Interact</interaction_type>
        <membership_type>Invitation or Request Required</membership_type>
        <notification>false</notification>
        <user_defined_fields/>
        <listed>true</listed>
        <public_search_listed>false</public_search_listed>
        <inactive>false</inactive>
        <creator id="1">Larry Cucumber</creator>
        <modifier id="1">Larry Cucumber</modifier>
        <created>2012-09-20 08:51:01</created>
        <modified>2012-10-05 16:34:47</modified>
      </group>
    </groups>
  </response>
</ccb_api>